# syntax=docker/dockerfile:1
FROM python:3.8-slim-buster
ARG DEBIAN_FRONTEND=noninteractive
ARG DEBCONF_NOWARNINGS="yes"
WORKDIR /app
COPY requirements.txt requirements.txt
RUN pip3 install --disable-pip-version-check -r requirements.txt
COPY . .
ENV FLASK_APP=python_rest
EXPOSE 5000
STOPSIGNAL SIGINT
CMD [ "python3", "-m" , "flask", "run", "--host=0.0.0.0"]